Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class NameTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.NameTable

    public class NameTable

extends TrueTypeTable

Field Summary
`static short` | `ENCODINGID_MAC_ROMAN` Values for platformSpecificID if platform is Mac
`static short` | `ENCODINGID_UNICODE_DEFAULT` Values for platformSpecificID if platform is Unicode
`static short` | `ENCODINGID_UNICODE_V11`
`static short` | `ENCODINGID_UNICODE_V2`
`static short` | `LANGUAGEID_MAC_ENGLISH` Values for language ID if platform is Mac
`static short` | `NAMEID_COPYRIGHT` Values for nameID
`static short` | `NAMEID_FAMILY`
`static short` | `NAMEID_FULL_NAME`
`static short` | `NAMEID_POSTSCRIPT_NAME`
`static short` | `NAMEID_SUBFAMILY`
`static short` | `NAMEID_SUBFAMILY_UNIQUE`
`static short` | `NAMEID_TRADEMARK`
`static short` | `NAMEID_VERSION`
`static short` | `PLATFORMID_MACINTOSH`
`static short` | `PLATFORMID_MICROSOFT`
`static short` | `PLATFORMID_UNICODE` Values for platformID

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` | `NameTable()` Creates a new instance of NameTable

Method Summary
`void` | `addRecord(short platformID, short platformSpecificID, short languageID, short nameID, java.lang.String value)` Add a record to the table
`static java.lang.String` | `getCharsetName(int platformID, int encodingID)` Get the charset name for a given platform, encoding and language
`short` | `getCount()` Get the number of records in the table
`java.nio.ByteBuffer` | `getData()` Get the data in this table as a buffer
`short` | `getFormat()` Get the format of this table
`int` | `getLength()` Get the length of this table
`java.util.Collection<java.lang.String>` | `getNames()`
`java.lang.String` | `getRecord(short platformID, short platformSpecificID, short languageID, short nameID)` Get a record from the table
`boolean` | `hasRecords(short platformID)` Determine if we have any records with a given platform ID
`boolean` | `hasRecords(short platformID, short platformSpecificID)` Determine if we have any records with a given platform ID and platform-specific ID
`void` | `removeRecord(short platformID, short platformSpecificID, short languageID, short nameID)` Remove a record from the table
`void` | `setData(java.nio.ByteBuffer data)` Read the table from data
`void` | `setFormat(short format)` Set the format of this table
`java.lang.String` | `toString()` Get a pretty string

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLATFORMID_UNICODE

    public static final short PLATFORMID_UNICODE

  Values for platformID

  See Also:
    Constant Field Values

### PLATFORMID_MACINTOSH

    public static final short PLATFORMID_MACINTOSH

See Also:
  Constant Field Values

### PLATFORMID_MICROSOFT

    public static final short PLATFORMID_MICROSOFT

See Also:
  Constant Field Values

### ENCODINGID_MAC_ROMAN

    public static final short ENCODINGID_MAC_ROMAN

  Values for platformSpecificID if platform is Mac

  See Also:
    Constant Field Values

### ENCODINGID_UNICODE_DEFAULT

    public static final short ENCODINGID_UNICODE_DEFAULT

  Values for platformSpecificID if platform is Unicode

  See Also:
    Constant Field Values

### ENCODINGID_UNICODE_V11

    public static final short ENCODINGID_UNICODE_V11

See Also:
  Constant Field Values

### ENCODINGID_UNICODE_V2

    public static final short ENCODINGID_UNICODE_V2

See Also:
  Constant Field Values

### LANGUAGEID_MAC_ENGLISH

    public static final short LANGUAGEID_MAC_ENGLISH

  Values for language ID if platform is Mac

  See Also:
    Constant Field Values

### NAMEID_COPYRIGHT

    public static final short NAMEID_COPYRIGHT

  Values for nameID

  See Also:
    Constant Field Values

### NAMEID_FAMILY

    public static final short NAMEID_FAMILY

See Also:
  Constant Field Values

### NAMEID_SUBFAMILY

    public static final short NAMEID_SUBFAMILY

See Also:
  Constant Field Values

### NAMEID_SUBFAMILY_UNIQUE

    public static final short NAMEID_SUBFAMILY_UNIQUE

See Also:
  Constant Field Values

### NAMEID_FULL_NAME

    public static final short NAMEID_FULL_NAME

See Also:
  Constant Field Values

### NAMEID_VERSION

    public static final short NAMEID_VERSION

See Also:
  Constant Field Values

### NAMEID_POSTSCRIPT_NAME

    public static final short NAMEID_POSTSCRIPT_NAME

See Also:
  Constant Field Values

### NAMEID_TRADEMARK

    public static final short NAMEID_TRADEMARK

See Also:
  Constant Field Values

Constructor Detail

### NameTable

    protected NameTable()

  Creates a new instance of NameTable

Method Detail

### addRecord

    public void addRecord(short platformID,
                          short platformSpecificID,
                          short languageID,
                          short nameID,
                          java.lang.String value)

  Add a record to the table

### getRecord

    public java.lang.String getRecord(short platformID,
                                      short platformSpecificID,
                                      short languageID,
                                      short nameID)

  Get a record from the table

### removeRecord

    public void removeRecord(short platformID,
                             short platformSpecificID,
                             short languageID,
                             short nameID)

  Remove a record from the table

### hasRecords

    public boolean hasRecords(short platformID)

  Determine if we have any records with a given platform ID

### hasRecords

    public boolean hasRecords(short platformID,
                              short platformSpecificID)

  Determine if we have any records with a given platform ID and platform-specific ID

### setData

    public void setData(java.nio.ByteBuffer data)

  Read the table from data

  Overrides:
    `setData` in class `TrueTypeTable`

### getData

    public java.nio.ByteBuffer getData()

  Get the data in this table as a buffer

  Overrides:
    `getData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

### getFormat

    public short getFormat()

  Get the format of this table

### setFormat

    public void setFormat(short format)

  Set the format of this table

### getCount

    public short getCount()

  Get the number of records in the table

### getCharsetName

    public static java.lang.String getCharsetName(int platformID,
                                                  int encodingID)

  Get the charset name for a given platform, encoding and language

### getNames

    public java.util.Collection<java.lang.String> getNames()

### toString

    public java.lang.String toString()

  Get a pretty string

  Overrides:
    `toString` in class `TrueTypeTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD